﻿using Hotline.Share.Enums.Push;
using XF.Domain.Repository;

namespace Hotline.Push
{
    public class BatchSmsTask : CreationEntity
    {
        /// <summary>
        /// 任务名称
        /// </summary>
        public string TaskName { get; set; }

        /// <summary>
        /// 任务状态
        /// </summary>
        public ESmsTaskState SmsTaskState { get; set; }

        /// <summary>
        /// 短信总数
        /// </summary>
        public int SmsCount{ get; set; }

        /// <summary>
        /// 计划发送时间
        /// </summary>
        public DateTime PlanSendTime { get; set; }

    }
}
